GeoNetwork 3.2.1 for development environment

Jan 15, 2018 03:47 PM - Fabio Sinibaldi

Status: Closed Start date: Jan 15, 2018

Priority: Urgent Due date:  

Assignee: _InfraScience Systems Engineer % Done: 100%

Target version: SDI-nodes management   

Infrastructure: Development Applications list and

version:

geonetwork 3.2.1

RAM: 2 Applications context

path:

geonetwork

CPU: 2 External storage data

disk:

 

DiskSpace: 10 Smartgears auth

connector:

 

Smartgears: Yes data transfer

enabled:

Yes

Smartgears Version: LATEST PostgreSQL

database:

Yes

Application

Instructions:

 Number of VMs: 1

Smartgears scopes: /gcube

/gcube/devNext

/gcube/devNext/NextNext

  

Description

History

#1 - Jan 15, 2018 07:25 PM - Andrea Dell'Amico

- Status changed from New to In Progress

We are going to reuse geonetwork-sdi.dev.d4science.org

#2 - Jan 16, 2018 12:44 PM - Andrea Dell'Amico

- % Done changed from 0 to 20

#3 - Jan 16, 2018 04:47 PM - Andrea Dell'Amico

- Status changed from In Progress to Feedback

- % Done changed from 20 to 100

The VM is up running geonetwork 3.2.1. No ssl certificate yet.

#4 - Jan 17, 2018 10:29 AM - Fabio Sinibaldi

Instance seems working, but the following exception should be investigated : 

018-01-16 16:47:05,490 ERROR [org.hibernate.tool.hbm2ddl.SchemaUpdate] - HHH000299: Could not complete schema 

update

java.lang.NullPointerException

    at org.hibernate.engine.jdbc.spi.SqlExceptionHelper.convert(SqlExceptionHelper.java:126)

    at org.hibernate.engine.jdbc.spi.SqlExceptionHelper.convert(SqlExceptionHelper.java:112)

    at org.hibernate.tool.hbm2ddl.DatabaseMetadata.getTableMetadata(DatabaseMetadata.java:158)

    at org.hibernate.cfg.Configuration.generateSchemaUpdateScriptList(Configuration.java:1202)

    at org.hibernate.tool.hbm2ddl.SchemaUpdate.execute(SchemaUpdate.java:212)

    at org.hibernate.tool.hbm2ddl.SchemaUpdate.execute(SchemaUpdate.java:178)

    at org.hibernate.internal.SessionFactoryImpl.<init>(SessionFactoryImpl.java:522)
    at org.hibernate.cfg.Configuration.buildSessionFactory(Configuration.java:1857)

    at org.hibernate.jpa.boot.internal.EntityManagerFactoryBuilderImpl$4.perform(EntityManagerFactoryBuilderIm

pl.java:850)

    at org.hibernate.jpa.boot.internal.EntityManagerFactoryBuilderImpl$4.perform(EntityManagerFactoryBuilderIm

pl.java:843)

    at org.hibernate.boot.registry.classloading.internal.ClassLoaderServiceImpl.withTccl(ClassLoaderServiceImp

l.java:398)

    at org.hibernate.jpa.boot.internal.EntityManagerFactoryBuilderImpl.build(EntityManagerFactoryBuilderImpl.j

ava:842)

    at org.springframework.orm.jpa.vendor.SpringHibernateJpaPersistenceProvider.createContainerEntityManagerFa

ctory(SpringHibernateJpaPersistenceProvider.java:60)

    at org.springframework.orm.jpa.LocalContainerEntityManagerFactoryBean.createNativeEntityManagerFactory(Loc

alContainerEntityManagerFactoryBean.java:343)

    at org.springframework.orm.jpa.AbstractEntityManagerFactoryBean.afterPropertiesSet(AbstractEntityManagerFa

ctoryBean.java:318)

    at org.springframework.beans.factory.support.AbstractAutowireCapableBeanFactory.invokeInitMethods(Abstract

AutowireCapableBeanFactory.java:1637)

    at org.springframework.beans.factory.support.AbstractAutowireCapableBeanFactory.initializeBean(AbstractAut

owireCapableBeanFactory.java:1574)

    at org.springframework.beans.factory.support.AbstractAutowireCapableBeanFactory.doCreateBean(AbstractAutow

ireCapableBeanFactory.java:545)

    at org.springframework.beans.factory.support.AbstractAutowireCapableBeanFactory.createBean(AbstractAutowir

eCapableBeanFactory.java:482)

    at org.springframework.beans.factory.support.AbstractBeanFactory$1.getObject(AbstractBeanFactory.java:306)

    at org.springframework.beans.factory.support.DefaultSingletonBeanRegistry.getSingleton(DefaultSingletonBea

nRegistry.java:230)

    at org.springframework.beans.factory.support.AbstractBeanFactory.doGetBean(AbstractBeanFactory.java:302)

    at org.springframework.beans.factory.support.AbstractBeanFactory.getBean(AbstractBeanFactory.java:197)

    at org.springframework.context.support.AbstractApplicationContext.getBean(AbstractApplicationContext.java:

1054)

    at org.springframework.context.support.AbstractApplicationContext.finishBeanFactoryInitialization(Abstract

ApplicationContext.java:829)

    at org.springframework.context.support.AbstractApplicationContext.refresh(AbstractApplicationContext.java:

538)

    at jeeves.config.springutil.JeevesContextLoaderListener.contextInitialized(JeevesContextLoaderListener.jav

a:111)

    at org.apache.catalina.core.StandardContext.listenerStart(StandardContext.java:5010)

    at org.apache.catalina.core.StandardContext.startInternal(StandardContext.java:5504)

    at org.apache.catalina.util.LifecycleBase.start(LifecycleBase.java:150)

    at org.apache.catalina.core.ContainerBase.addChildInternal(ContainerBase.java:901)

    at org.apache.catalina.core.ContainerBase.addChild(ContainerBase.java:877)

    at org.apache.catalina.core.StandardHost.addChild(StandardHost.java:632)

    at org.apache.catalina.startup.HostConfig.deployDirectory(HostConfig.java:1229)

    at org.apache.catalina.startup.HostConfig$DeployDirectory.run(HostConfig.java:1875)

    at java.util.concurrent.Executors$RunnableAdapter.call(Executors.java:511)

    at java.util.concurrent.FutureTask.run(FutureTask.java:266)

    at java.util.concurrent.ThreadPoolExecutor.runWorker(ThreadPoolExecutor.java:1149)

    at java.util.concurrent.ThreadPoolExecutor$Worker.run(ThreadPoolExecutor.java:624)

    at java.lang.Thread.run(Thread.java:748)

 Maybe this thread could help : 

https://stackoverflow.com/questions/16431382/error-hhh000299-could-not-complete-schema-update-java-lang-nullpointerexceptio

#5 - Jan 17, 2018 02:57 PM - Andrea Dell'Amico

That URL doesn't seem useful. The only references to hbm2ddl are into the log4j configuration, and the DB configuration for these versions of

geonetwork is straightforward: the only files that need to be touched are jdbc.properties and WEB-INF/config-node/srv.xml. In the former we put the

database server settings and in the latter we tell the service to use postgres with the postgis extension.

I don't remember a similar exteption when we tried a 3.2.1 configuration some months ago, btw.

#6 - Feb 17, 2018 01:31 PM - Andrea Dell'Amico

- Status changed from Feedback to Closed
